﻿#targetengine "GoToMaster"
// по методике скрипта ShowTextOverrides фирмы In-Tools
//
install();
function install(){
	ShowController = {};
	var actionname = "Go to Page";
	var action = app.scriptMenuActions.item(actionname);
	if(action == null) {
		var actionname = "Go to Master";
		var action = app.scriptMenuActions.item(actionname);
		if(action == null) {
			var action = app.scriptMenuActions.add(actionname);
		}
	} // if action =0
	action.checked = false;
	action.enabled = true;
	action.addEventListener("beforeDisplay", enableDisable);
	action.addEventListener("onInvoke", togglePageAndMaster);
	ShowController.action = action;
	
	var typeMenu = app.menus.item('$ID/Main').submenus.item('$ID/&Type');
    var myMenu = app.menus.item("$ID/PagesPanelPopup");
    
	myMenu.menuItems.add(action);
}


function enableDisable(){

	var myCurPage =  app.activeWindow.activePage;
    if( myCurPage.parent instanceof MasterSpread) {         
			ShowController.action.title = "Go to Page";
		}
    else {
			ShowController.action.title = "Go to Master";
		}
}


function togglePageAndMaster(){
    
    var myCurPage =  app.activeWindow.activePage;
    if( myCurPage.parent instanceof MasterSpread) { 
        app.activeWindow.activePage = myPage;       
        }
    else { 
        myPage = myCurPage;
        var myMaster = myCurPage.appliedMaster;
        try {            
            app.activeWindow.activeSpread = myMaster;
        }
        catch (e) {
            alert("Невозможен переход на мастер [None]")
        }
        
    }   // else
    
} // fnc
